Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cz.vutbr.feec.utko.fojtoval.krypto.windows
Class NavrhView

    java.lang.Object
      org.jdesktop.application.AbstractBean
          org.jdesktop.application.View
              org.jdesktop.application.FrameView
                  cz.vutbr.feec.utko.fojtoval.krypto.windows.NavrhView

Direct Known Subclasses:
  NavrhViewEvents

    public class NavrhView

extends org.jdesktop.application.FrameView

Hlavni okno aplikace.

Constructor Summary
`NavrhView(org.jdesktop.application.SingleFrameApplication app)`

Method Summary
`javax.swing.JMenuItem` | `getAfinniSifra()`
`javax.swing.JMenuItem` | `getAfinniSifraLusteni()`
`javax.swing.JMenuItem` | `getBiTrigramy()`
`javax.swing.JMenuItem` | `getCopy()`
`javax.swing.JMenuItem` | `getDelete()`
`javax.swing.JMenuItem` | `getEic()`
`javax.swing.JMenuItem` | `getEuklides()`
`javax.swing.JMenuItem` | `getEuklidesExten()`
`javax.swing.JMenuItem` | `getFreqa()`
`javax.swing.JMenuItem` | `getIc()`
`javax.swing.JMenuItem` | `getIndexpismene()`
`javax.swing.JMenuItem` | `getJednoduchaTranspozice()`
`javax.swing.JMenuItem` | `getJednoduchaTranspoziceLusteni()`
`javax.swing.JMenuItem` | `getJednoduchyPosun()`
`javax.swing.JMenuItem` | `getJednoduchyPosunLusteni()`
`javax.swing.JFileChooser` | `getjFileChooser1()`
`javax.swing.JLabel` | `getjLabel10()`
`javax.swing.JLabel` | `getjLabel12()`
`javax.swing.JLabel` | `getjLabel3()`
`javax.swing.JLabel` | `getjLabel4()`
`javax.swing.JLabel` | `getjLabel5()`
`javax.swing.JTextPane` | `getjTextPane1()`
`javax.swing.JTextPane` | `getjTextPane2()`
`javax.swing.JPanel` | `getMainPanel()`
`javax.swing.JMenuItem` | `getNahodnaAbeceda()`
`javax.swing.JMenuItem` | `getNapoveda()`
`javax.swing.JMenuItem` | `getOpenFile()`
`javax.swing.JMenuItem` | `getPaste()`
`javax.swing.JButton` | `getPresunVlevo()`
`javax.swing.JMenuItem` | `getPrevodTabulka()`
`javax.swing.JMenuItem` | `getPrumeric()`
`javax.swing.JMenuItem` | `getRozkladPrvocisla()`
`javax.swing.JMenuItem` | `getSaveFile()`
`javax.swing.JMenuItem` | `getSelect()`
`javax.swing.JMenuItem` | `getSubtext()`
`javax.swing.JMenuItem` | `getTextEdit()`
`javax.swing.JMenuItem` | `getVigenere()`
`javax.swing.JMenuItem` | `getVigenereAutoklic()`
`javax.swing.JMenuItem` | `getVigenereAutoklicLusteni()`
`javax.swing.JMenuItem` | `getVigenereLusteni()`
`javax.swing.JMenuItem` | `getVyhledaniNtic()`
`javax.swing.JButton` | `getVymaz()`
`javax.swing.JButton` | `getVymazVlevo()`
`javax.swing.JButton` | `getVymazVpravo()`
`javax.swing.JMenuItem` | `getVymenaJedenZnak()`
`javax.swing.JMenuItem` | `getVymenaVse()`
`javax.swing.JButton` | `getVynuluj()`
`javax.swing.JMenuItem` | `getVzdalenosti()`
`javax.swing.JMenuItem` | `getZadaniAbecedy()`
`javax.swing.JMenuItem` | `getZadaniKlice()`
`javax.swing.JMenuItem` | `getZadaniKliceLusteni()`
`void` | `setjTextPane2(javax.swing.JTextPane jTextPane2)`
`void` | `showAboutBox()`

Methods inherited from class org.jdesktop.application.FrameView
`getFrame, getRootPane, setFrame`

Methods inherited from class org.jdesktop.application.View
`getApplication, getComponent, getContext, getMenuBar, getResourceMap, getStatusBar, getToolBar, getToolBars, setComponent, setMenuBar, setStatusBar, setToolBar, setToolBars`

Methods inherited from class org.jdesktop.application.AbstractBean
`addPropertyChangeListener, addPropertyChangeListener, firePropertyChange, firePropertyChange, getPropertyChangeListeners, removePropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NavrhView

    public NavrhView(org.jdesktop.application.SingleFrameApplication app)

Method Detail

### showAboutBox

    @Action
    public void showAboutBox()

### getjLabel3

    public javax.swing.JLabel getjLabel3()

### getjLabel10

    public javax.swing.JLabel getjLabel10()

### getjLabel12

    public javax.swing.JLabel getjLabel12()

### getNapoveda

    public javax.swing.JMenuItem getNapoveda()

### getVynuluj

    public javax.swing.JButton getVynuluj()

### getjLabel5

    public javax.swing.JLabel getjLabel5()

### getIndexpismene

    public javax.swing.JMenuItem getIndexpismene()

### getSubtext

    public javax.swing.JMenuItem getSubtext()

### getVzdalenosti

    public javax.swing.JMenuItem getVzdalenosti()

### getDelete

    public javax.swing.JMenuItem getDelete()

### getEic

    public javax.swing.JMenuItem getEic()

### getSelect

    public javax.swing.JMenuItem getSelect()

### getPresunVlevo

    public javax.swing.JButton getPresunVlevo()

### getVymaz

    public javax.swing.JButton getVymaz()

### getVymazVlevo

    public javax.swing.JButton getVymazVlevo()

### getVymazVpravo

    public javax.swing.JButton getVymazVpravo()

### getVyhledaniNtic

    public javax.swing.JMenuItem getVyhledaniNtic()

### getVymenaJedenZnak

    public javax.swing.JMenuItem getVymenaJedenZnak()

### getVymenaVse

    public javax.swing.JMenuItem getVymenaVse()

### getTextEdit

    public javax.swing.JMenuItem getTextEdit()

### getFreqa

    public javax.swing.JMenuItem getFreqa()

### getVigenereAutoklicLusteni

    public javax.swing.JMenuItem getVigenereAutoklicLusteni()

### getJednoduchaTranspoziceLusteni

    public javax.swing.JMenuItem getJednoduchaTranspoziceLusteni()

### getVigenereLusteni

    public javax.swing.JMenuItem getVigenereLusteni()

### getZadaniKliceLusteni

    public javax.swing.JMenuItem getZadaniKliceLusteni()

### getAfinniSifraLusteni

    public javax.swing.JMenuItem getAfinniSifraLusteni()

### getJednoduchyPosunLusteni

    public javax.swing.JMenuItem getJednoduchyPosunLusteni()

### getJednoduchaTranspozice

    public javax.swing.JMenuItem getJednoduchaTranspozice()

### getVigenereAutoklic

    public javax.swing.JMenuItem getVigenereAutoklic()

### getVigenere

    public javax.swing.JMenuItem getVigenere()

### getZadaniKlice

    public javax.swing.JMenuItem getZadaniKlice()

### getNahodnaAbeceda

    public javax.swing.JMenuItem getNahodnaAbeceda()

### getZadaniAbecedy

    public javax.swing.JMenuItem getZadaniAbecedy()

### getJednoduchyPosun

    public javax.swing.JMenuItem getJednoduchyPosun()

### getAfinniSifra

    public javax.swing.JMenuItem getAfinniSifra()

### getIc

    public javax.swing.JMenuItem getIc()

### getBiTrigramy

    public javax.swing.JMenuItem getBiTrigramy()

### getjTextPane1

    public javax.swing.JTextPane getjTextPane1()

### getjTextPane2

    public javax.swing.JTextPane getjTextPane2()

### setjTextPane2

    public void setjTextPane2(javax.swing.JTextPane jTextPane2)

### getRozkladPrvocisla

    public javax.swing.JMenuItem getRozkladPrvocisla()

### getEuklides

    public javax.swing.JMenuItem getEuklides()

### getEuklidesExten

    public javax.swing.JMenuItem getEuklidesExten()

### getMainPanel

    public javax.swing.JPanel getMainPanel()

### getPrevodTabulka

    public javax.swing.JMenuItem getPrevodTabulka()

### getOpenFile

    public javax.swing.JMenuItem getOpenFile()

### getSaveFile

    public javax.swing.JMenuItem getSaveFile()

### getjFileChooser1

    public javax.swing.JFileChooser getjFileChooser1()

### getjLabel4

    public javax.swing.JLabel getjLabel4()

### getPrumeric

    public javax.swing.JMenuItem getPrumeric()

### getCopy

    public javax.swing.JMenuItem getCopy()

### getPaste

    public javax.swing.JMenuItem getPaste()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD